module.exports = require('../interfaces/component.interface')('number', (variable, schema, args) => {
  try {
    const n = parseInt(args, 10);

    if (n === 0) {
      throw new Error(`Invalid argument (${n}) passed to divisible-number matcher: cannot divide by zero.`);
    }

    return (variable % n === 0);
  } catch (e) {
    throw new TypeError(`Invalid argument (${args}) passed to divisible-number matcher.`);
  }
});
